Package org.apache.batchee.jaxrs.client.impl

## Class JobExecutionImpl

- java.lang.Object
- - org.apache.batchee.jaxrs.client.impl.JobExecutionImpl

- All Implemented Interfaces:
    `javax.batch.runtime.JobExecution`

      public class JobExecutionImpl
      extends Object
      implements javax.batch.runtime.JobExecution

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JobExecutionImpl​(long id, String name, Properties properties, javax.batch.runtime.BatchStatus batchStatus, String exitStatus, Date createTime, Date startTime, Date endTime, Date lastUpdatedTime)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.batch.runtime.BatchStatus` | `getBatchStatus()` |
    `Date` | `getCreateTime()` |
    `Date` | `getEndTime()` |
    `long` | `getExecutionId()` |
    `String` | `getExitStatus()` |
    `String` | `getJobName()` |
    `Properties` | `getJobParameters()` |
    `Date` | `getLastUpdatedTime()` |
    `Date` | `getStartTime()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JobExecutionImpl

          public JobExecutionImpl​(long id,
                                  String name,
                                  Properties properties,
                                  javax.batch.runtime.BatchStatus batchStatus,
                                  String exitStatus,
                                  Date createTime,
                                  Date startTime,
                                  Date endTime,
                                  Date lastUpdatedTime)

  - ### Method Detail

    - #### getExecutionId

          public long getExecutionId()

      Specified by:
        `getExecutionId` in interface `javax.batch.runtime.JobExecution`

    - #### getJobName

          public String getJobName()

      Specified by:
        `getJobName` in interface `javax.batch.runtime.JobExecution`

    - #### getBatchStatus

          public javax.batch.runtime.BatchStatus getBatchStatus()

      Specified by:
        `getBatchStatus` in interface `javax.batch.runtime.JobExecution`

    - #### getStartTime

          public Date getStartTime()

      Specified by:
        `getStartTime` in interface `javax.batch.runtime.JobExecution`

    - #### getEndTime

          public Date getEndTime()

      Specified by:
        `getEndTime` in interface `javax.batch.runtime.JobExecution`

    - #### getExitStatus

          public String getExitStatus()

      Specified by:
        `getExitStatus` in interface `javax.batch.runtime.JobExecution`

    - #### getCreateTime

          public Date getCreateTime()

      Specified by:
        `getCreateTime` in interface `javax.batch.runtime.JobExecution`

    - #### getLastUpdatedTime

          public Date getLastUpdatedTime()

      Specified by:
        `getLastUpdatedTime` in interface `javax.batch.runtime.JobExecution`

    - #### getJobParameters

          public Properties getJobParameters()

      Specified by:
        `getJobParameters` in interface `javax.batch.runtime.JobExecution`